Bug 833277 - Multiple file corruption after processing INDENT-OFF
Multiple file corruption after processing INDENT-OFF
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: indent (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
http://lists.gnu.org/archive/html/bug...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 02:06 EDT by Petr Pisar
Modified: 2014-02-05 17:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:46:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Reproducer (126 bytes, text/plain)
2012-06-19 02:06 EDT, Petr Pisar
no flags Details

  None (edit)
Description Petr Pisar 2012-06-19 02:06:22 EDT
Created attachment 592833 [details]
Reproducer

If first file ends with `INDENT-OFF' string, second processed file can get corrupted. Both files must be put into arguments of indent in the order.

$ cat a.h
/* *INDENT-OFF* */
$ cat b.h
struct x
{
};
$ indent a.h b.h
indent: b.h:4: Error:Unexpected end of file
$ cat b.h
struct x
{
};
{

The error message is printed and opening curly bracket is appended to the second file.

Tested with indent-2.2.11-4.fc16.x86_64.
Comment 1 Fedora End Of Life 2013-01-16 19:11:42 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Petr Pisar 2013-01-17 07:41:47 EST
Still issue in F17.
Comment 3 Leslie Satenstein 2013-06-22 13:26:18 EDT
Fedora 18 and Fedora 19 beta

For some reason, some GUI editors are processing C language source in UTF-8 format.

This format results in full insertion of Control M characters everywhere before leading text.

The same text, after processing the file with indent is horribly de-indented, making the file unreadable.  

And if the input file is in pure ascii format, Indent formatting works as expected.  

If you need a sample file to use for debugging or testing, just ask.
Comment 4 Petr Pisar 2013-06-24 04:15:29 EDT
(In reply to Leslie Satenstein from comment #3)
> Fedora 18 and Fedora 19 beta
> 
> For some reason, some GUI editors are processing C language source in UTF-8
> format.
> 
> This format results in full insertion of Control M characters everywhere
> before leading text.
> 
> The same text, after processing the file with indent is horribly
> de-indented, making the file unreadable.  
> 
> And if the input file is in pure ascii format, Indent formatting works as
> expected.  
> 
> If you need a sample file to use for debugging or testing, just ask.

How is your bad end-of-line encoding (even UTF-8 does not touch EOLs) related to the this bug report?
Comment 5 Leslie Satenstein 2013-06-28 15:30:13 EDT
With a hexdump or hex editor, I noted that the Unix indent is emitting a carriage linefeed pair, instead of just a new line '\n' as the line terminator.

Somewhere it may detect a hex character to indicate utf-8, but that is wrong. It is possible that utf-8 originated with gedit or kedit (Gnome or KDE editors).
Comment 6 Leslie Satenstein 2013-06-28 15:31:39 EDT
The input file is not editable with VI after indent.
Comment 7 Petr Pisar 2013-07-01 02:32:44 EDT
I ask again:

How is your bad end-of-line encoding (even UTF-8 does not touch EOLs) related to the this bug report?

You should file a new bug report. And especially please provide the input file.
Comment 8 Fedora End Of Life 2013-07-04 02:27:20 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-12-21 10:03:32 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2014-02-05 17:46:16 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.